\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm, mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0.5) rectangle (-0.5,6.5);
\fill[line width=1.5pt,color=A2,fill=A2] (-6,1) -- (-3,1) -- (-1,3) -- (-4,6) -- cycle;
\draw [line width=1.5pt] (-4,6)-- (-1,6);
\draw [line width=1.5pt] (-1,6)-- (-1,3);
\draw [line width=1.5pt,mydashed] (-1,3)-- (-4,3);
\draw [line width=1.5pt,mydashed] (-4,3)-- (-4,6);
\draw [line width=1.5pt] (-6,4)-- (-3,4);
\draw [line width=1.5pt] (-3,4)-- (-3,1);
\draw [line width=1.5pt] (-3,1)-- (-6,1);
\draw [line width=1.5pt] (-6,1)-- (-6,4);
\draw [line width=1.5pt] (-6,4)-- (-4,6);
\draw [line width=1.5pt] (-3,4)-- (-1,6);
\draw [line width=1.5pt] (-3,1)-- (-1,3);
\draw [line width=1.5pt,mydashed] (-4,3)-- (-6,1);
\draw [line width=1.5pt,mydashed] (-4,6)-- (-3,1);
\draw [line width=1.5pt,mydashed] (-4,6)-- (-1,3);
\draw [line width=1.5pt,mydashed] (-4,6)-- (-6,1);
\draw[color=black] (-4.25,6.25) node {$A$};
\draw[color=black] (-0.75,6.25) node {$B$};
\draw[color=black] (-0.75,2.75) node {$C$};
\draw[color=black] (-4.25,3.25) node {$D$};
\draw[color=black] (-6.25,4.25) node {$E$};
\draw[color=black] (-3.25,4.25) node {$F$};
\draw[color=black] (-2.75,0.75) node {$G$};
\draw[color=black] (-6.25,0.75) node {$H$};
\end{tikzpicture}
\end{document}